### Class

# Gimp ColorTransform

unstable since: 3.0

#### Description [src]

    class Gimp.ColorTransform : GObject.Object
    {
      priv: GimpColorTransformPrivate*
    }

Definitions and Functions relating to LCMS.

Available since: 3.0

#### Ancestors

- GObject

#### Constructors

###### gimp_color_transform_new

This function creates an color transform.

since: 2.10

###### gimp_color_transform_new_proofing

This function creates a simulation / proofing color transform.

since: 2.10

#### Functions

###### gimp_color_transform_can_gegl_copy

This function checks if a GimpColorTransform is needed at all.

since: 2.10

#### Instance methods

###### gimp_color_transform_process_buffer

This function transforms buffer into another buffer.

since: 2.10

###### gimp_color_transform_process_pixels

This function transforms a contiguous line of pixels.

since: 2.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Gimp.ColorTransform::progress

No description available.

unstable since: 3.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GimpColorTransformClass {
      GObjectClass parent_class;
      void (* progress) (
        GimpColorTransform* transform,
        gdouble fraction
      );
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.
`progress: void (* progress) ( GimpColorTransform* transform, gdouble fraction )`
  No description available.
`_gimp_reserved1: void (* _gimp_reserved1) ( void )`
  No description available.
`_gimp_reserved2: void (* _gimp_reserved2) ( void )`
  No description available.
`_gimp_reserved3: void (* _gimp_reserved3) ( void )`
  No description available.
`_gimp_reserved4: void (* _gimp_reserved4) ( void )`
  No description available.
`_gimp_reserved5: void (* _gimp_reserved5) ( void )`
  No description available.
`_gimp_reserved6: void (* _gimp_reserved6) ( void )`
  No description available.
`_gimp_reserved7: void (* _gimp_reserved7) ( void )`
  No description available.
`_gimp_reserved8: void (* _gimp_reserved8) ( void )`
  No description available.

#### Virtual methods

###### Gimp.ColorTransformClass.progress

No description available.

unstable since: 3.0